use std::collections::HashMap;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct MapData {
    pub default: bool,
    pub map_required: bool,
    pub starting_location: Vec<u8>,
    pub name: String,
    pub description: String,
    pub id: String,
    pub width: u16,
    pub height: u16,
    pub events: Vec<Events>,
    pub tilemap: Vec<Vec<String>>,
    pub tiles: HashMap<String, Tile>,
    pub npcs: HashMap<String, NPC>
}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Events {
    pub evt_type: String,
    pub command_id: String,
    pub name: String,
    pub description: Option<String>,
    pub location: Vec<u8>,
    pub dialogue: Option<Vec<String>>
}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Tile {
    pub name: String,
    pub icon: Option<TileIcon>,
    pub walkable: bool,
    pub description: Option<String>,
    pub bitmap: Vec<Vec<String>>,
}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct TileIcon {
    pub char: String,
    pub color: Vec<u8>,
}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct NPC {
    pub name: String,
    pub description: String,
    pub dialogue: Vec<String>,
}