use std::collections::HashMap;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct SaveData {
    pub version: u16,
    pub map_pack: String,
    pub player_name: String,
    pub last_save: String,
    pub current_map_id: String,
    pub health: u32,
    pub stamina: u32,
    pub coords: HashMap<String, Vec<u8>>,
    pub inventory: Vec<String>,
    pub flags: HashMap<String, bool>,
    pub lines_of_text: Vec<String>
}

