pub fn load_json(file_path: &str) -> Result<serde_json::Value, Box<dyn std::error::Error>> {
    let file = std::fs::File::open(file_path)?;
    let reader = std::io::BufReader::new(file);
    let json_data: serde_json::Value = serde_json::from_reader(reader)?;
    Ok(json_data)
}

pub fn save_json(file_path: &str, data: serde_json::Value) -> Result<(), Box<dyn std::error::Error>> {
    let file = std::fs::File::create(file_path)?;
    let writer = std::io::BufWriter::new(file);
    serde_json::to_writer(writer, &data)?;
    Ok(())
}
