use crate::structs::json::{Events, MapData, NPC};

pub fn get_map_data_by_id(map_id: &str) -> Option<MapData> {
    let maps = crate::MAPS.lock().unwrap();
    maps.iter().find(|map| map.id == map_id).cloned()
}

pub fn get_current_map() -> Option<MapData> {
    let current_map_id = crate::CURRENT_MAP_ID.lock().unwrap().clone();
    let maps = crate::MAPS.lock().unwrap();
        
    maps.iter().find(|map| map.id == current_map_id).cloned()
}

pub fn get_map_events(map_id: &str) -> Option<Vec<Events>> {
    let map = get_map_data_by_id(map_id)?;
    Some(map.events)
}

pub fn get_npc(npc_id: &str) -> Option<NPC> {
    let map = get_current_map()?;
    map.npcs.get(npc_id).cloned()
}

pub fn load_new_map(map_id: &str) {
    let map = get_map_data_by_id(map_id).unwrap();
    *crate::CURRENT_MAP_ID.lock().unwrap() = map.id.clone();
    let coords = crate::PLAYER_COORDS.lock().unwrap().clone();
    if coords.get(&map.id).is_none() {
        // If the player has no coordinates for this map, set starting location
        let starting_location = map.starting_location.clone();
        crate::PLAYER_COORDS.lock().unwrap().insert(map.id.clone(), (starting_location[0] as u8, starting_location[1] as u8));
    }
    // let new_coords = map.starting_location.clone();
    // *crate::PLAYER_COORDS.lock().unwrap() = (new_coords[0] as u8, new_coords[1] as u8);
}