use std::io::{self, Write};

#[cfg(target_os = "linux")]
pub fn move_cursor(x: u16, y: u16) {
    {
        let stdout = io::stdout();
        let mut handle = stdout.lock();
        write!(handle, "\x1b[{};{}H", y + 1, x + 1).unwrap();
        handle.flush().unwrap();
    }
}

#[cfg(target_os = "linux")]
pub fn clear_console() {
    {
        let stdout = io::stdout();
        let mut handle = stdout.lock();
        write!(handle, "\x1b[2J\x1b[H").unwrap();
        handle.flush().unwrap();
    }
}

#[cfg(target_os = "linux")]
pub fn set_terminal_title(title: &str) {
    let stdout = io::stdout();
    let mut handle = stdout.lock();
    write!(handle, "\x1b]0;{}\x07", title).unwrap();
    handle.flush().unwrap();
}

#[cfg(target_os = "linux")]
pub fn set_cursor_visibility(enable: bool) {
    let stdout = io::stdout();
    let mut handle = stdout.lock();
    if enable {
        write!(handle, "\x1b[?25h").unwrap(); // Show cursor
    } else {
        write!(handle, "\x1b[?25l").unwrap(); // Hide cursor
    }
    handle.flush().unwrap();
}
