pub mod linux;
pub mod windows;

pub fn move_cursor(x: u16, y: u16) {
    #[cfg(target_os = "linux")]
    linux::move_cursor(x, y);
    
    #[cfg(target_os = "windows")]
    windows::move_cursor(x, y);
}

pub fn clear_console() {
    #[cfg(target_os = "linux")]
    linux::clear_console();
    
    #[cfg(target_os = "windows")]
    windows::clear_console();
}

pub fn set_terminal_title(title: &str) {
    #[cfg(target_os = "linux")]
    linux::set_terminal_title(title);
    
    #[cfg(target_os = "windows")]
    windows::set_terminal_title(title);
}

pub fn set_cursor_visibility(enable: bool) {
    #[cfg(target_os = "linux")]
    linux::set_cursor_visibility(enable);
    
    #[cfg(target_os = "windows")]
    windows::set_cursor_visibility(enable);
}
